---
inputs:
  - name: etcd-log
    id: container-log-${kubernetes.pod.name}-${kubernetes.container.id}
    type: filestream
    use_output: default
    meta:
      package:
        name: log
        version: 1.1.2
    data_stream:
      namespace: "${env.tenant}"
    streams:
      - condition: ${kubernetes.labels.component} == "etcd"
        data_stream:
          dataset: etcd.log
          type: logs
        prospector.scanner.symlinks: true
        parsers:
          - container: ~
          - ndjson:
              target: ""
              add_error_key: true
        paths:
          - /var/log/containers/*${kubernetes.container.id}.log
    processors:
      - add_fields:
          target: ''
          fields:
            service.name: etcd
      - add_fields:
          target: ''
          fields:
            service.environment: "${env.environment}"
      - rename:
          fields:
            - from: "msg"
              to: "message"
          fail_on_error: true
          ignore_missing: false
      - rename:
          fields:
            - from: "level"
              to: "log.level"
          fail_on_error: true
          ignore_missing: false
      - timestamp:
          field: "ts"
          layouts:
            - '2006-01-02T15:04:05.000Z'
          test:
            - '2023-02-03T01:11:24.003Z'
      - drop_fields:
          fields: ["ts"]
